# cc_credentials_iterator_t

## Detailed Description

The cc_credentials_iterator_t type represents an iterator that iterates over a set of credentials. A new instance of this type can be obtained by calling cc_ccache_new_credentials_iterator().

For API function documentation see cc_credentials_iterator_f.

## Data Structures

- struct cc_credentials_iterator_d

## Typedefs

- typedef cc_credentials_iterator_f cc_credentials_iterator_f
- typedef cc_credentials_iterator_d cc_credentials_iterator_d
- typedef cc_credentials_iterator_d * cc_credentials_iterator_t

## Variables

- cc_int32(* cc_credentials_iterator_f::clone )(cc_credentials_iterator_t in_credentials_iterator, cc_credentials_iterator_t *out_credentials_iterator)
    cc_credentials_iterator_clone(): Make a copy of a credentials iterator.

## Typedef Documentation

typedef struct cc_credentials_iterator_f cc_credentials_iterator_f

typedef struct cc_credentials_iterator_d cc_credentials_iterator_d

typedef cc_credentials_iterator_d* cc_credentials_iterator_t

## Variable Documentation

cc_int32(* clone)(cc_credentials_iterator_t in_credentials_iterator, cc_credentials_iterator_t *out_credentials_iterator)`[inherited]`

cc_credentials_iterator_clone(): Make a copy of a credentials iterator.

Parameters:

  | in_credentials_iterator | a credentials iterator object.
  | out_credentials_iterator | on exit, a copy of in_credentials_iterator.

Returns:
  On success, ccNoError. On failure, an error code representing the failure.